Bug 970280 - [abrt] spyder-2.2.0-1.fc19: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] spyder-2.2.0-1.fc19: Process /usr/bin/python2.7 was killed by signal 1...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
abrt_hash:6edba6eebc84564c5f5cdf6a558...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 17:18 EDT by oliver
Modified: 2016-11-30 19:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 04:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.68 KB, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: cgroup (141 bytes, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: core_backtrace (4.06 KB, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: dso_list (26.47 KB, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: environ (3.86 KB, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: maps (126.80 KB, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: open_fds (425 bytes, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details
File: var_log_messages (582 bytes, text/plain)
2013-06-03 17:19 EDT, oliver
no flags Details

  None (edit)
Description oliver 2013-06-03 17:18:57 EDT
Description of problem:
Starting spyder the first time (without .spyder2 directory present), immediate crash even before splash screen comes up.

Version-Release number of selected component:
spyder-2.2.0-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/spyder
executable:     /usr/bin/python2.7
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 QFactoryLoader::instance at plugin/qfactoryloader.cpp:276
 #2 QIcon::addFile at image/qicon.cpp:843
 #3 QIcon::QIcon at image/qicon.cpp:565
 #4 init_QIcon at sipQtGuiQIcon.cpp:854
 #5 sipSimpleWrapper_init at siplib.c:9371
 #6 type_call at /usr/src/debug/Python-2.7.5/Objects/typeobject.c:745
 #7 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #8 do_call at /usr/src/debug/Python-2.7.5/Python/ceval.c:4316
 #9 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4121
Comment 1 oliver 2013-06-03 17:19:01 EDT
Created attachment 756518 [details]
File: backtrace
Comment 2 oliver 2013-06-03 17:19:03 EDT
Created attachment 756519 [details]
File: cgroup
Comment 3 oliver 2013-06-03 17:19:06 EDT
Created attachment 756520 [details]
File: core_backtrace
Comment 4 oliver 2013-06-03 17:19:09 EDT
Created attachment 756521 [details]
File: dso_list
Comment 5 oliver 2013-06-03 17:19:12 EDT
Created attachment 756522 [details]
File: environ
Comment 6 oliver 2013-06-03 17:19:15 EDT
Created attachment 756523 [details]
File: limits
Comment 7 oliver 2013-06-03 17:19:18 EDT
Created attachment 756524 [details]
File: maps
Comment 8 oliver 2013-06-03 17:19:32 EDT
Created attachment 756525 [details]
File: open_fds
Comment 9 oliver 2013-06-03 17:19:35 EDT
Created attachment 756526 [details]
File: proc_pid_status
Comment 10 oliver 2013-06-03 17:19:40 EDT
Created attachment 756527 [details]
File: var_log_messages
Comment 11 Radek Novacek 2013-06-04 03:15:00 EDT
I can't reproduce it. Can you run following command from console and attach here the result:

strace spyder
Comment 12 oliver 2013-06-04 04:25:10 EDT
I am afraid I can't reproduce the crash anymore either.  After restart, it worked, but it also works on a fresh account.  All I can say is that it was definitely the first startup of spyder on my user account, although there have been dotfiles from ipython, matplotlib, etc. around.

Your request for strace would only help if I can get it to crash, right?
Comment 13 Radek Novacek 2013-06-04 04:37:56 EDT
Yes, there is no need to run strace when spyder is not crashing. 

Let's close this bug since it's not reproducible. Feel free to reopen if the crash occurs again.

Note You need to log in before you can comment on or make changes to this bug.